<h3 class="mat-display-2" style="text-align:center" *ngIf="dialog.title">{{dialog.title}}</h3>
<mat-dialog-content>
  <h4>{{dialog.description}}</h4>
</mat-dialog-content>
<mat-dialog-actions align="center"
*ngIf="dialog.signupBtn || dialog.closeBtn || dialog.saveBtn">
  <button mat-flat-button
  *ngIf="dialog.signupBtn"
  (click)="close()"
  >
    {{dialog.signupBtn}}
  </button>
  <button mat-raised-button
    [color]="dialog.closeBtn.color"
    *ngIf="dialog.closeBtn"
    (click)="close()"
  >
  {{dialog.closeBtn.text}}
  </button>
  <button mat-raised-button
    color="warn"
    *ngIf="dialog.saveBtn"
    (click)="dialog.saveBtn.callback()"
  >
  {{dialog.saveBtn.text}}
  </button>
</mat-dialog-actions>
